<?php

/**
 * Theme Setup
 */
require get_template_directory() . '/inc/aisha-setup.php';

/**
 * Load Scripts and Styles
 */
require get_template_directory() . '/inc/aisha-scripts.php';

/**
 * Inline Styles
 */
require get_template_directory() . '/inc/inline-styles.php';

/**
 * Custom Navigation Walker
 */
require get_template_directory() . '/inc/wp_bootstrap_navwalker.php';

/**
 * Widgets Init
 */
require get_template_directory() . '/inc/aisha-widgets.php';

/**
 * Theme Customizer
 */
require get_template_directory() . '/inc/theme-customizer.php';

/**
 * aisha Post Excerpt Length
 */
function aisha_excerpt_length( $length ) {
	return 30;
}
add_filter( 'excerpt_length', 'aisha_excerpt_length', 999 );

/**
 * aisha Excerpt Link
 */
function aisha_excerpt_more($more) {
   global $post;
   return ' <a href="'. get_permalink($post->ID) . '">' . 'Read More &raquo;' . '</a>';
}
add_filter('excerpt_more', 'aisha_excerpt_more');

/**
 * Registers an editor stylesheet for the theme.
 */
function aisha_add_editor_styles() {
    add_editor_style( 'custom-editor-style.css' );
}
add_action( 'admin_init', 'aisha_add_editor_styles' );